package com.chinaitop.depot.system.controller;

import com.chinaitop.depot.system.model.UserLoginLog;
import com.chinaitop.depot.system.param.UserLoginLogPageParam;
import com.chinaitop.depot.system.service.UserLoginLogService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-11-01 10:39
 */
@RestController
@RequestMapping(value = "/userLoginLog")
@Api(description = "用户登录日志信息")
public class UserLoginLogController {
    @Resource
    private UserLoginLogService userLoginLogService;

    @RequestMapping(value = "/getPageList", method = RequestMethod.GET)
    @ApiOperation(value = "查询用户登录日志信息", notes = "支持分页")
    public PageInfo<UserLoginLog> getPageList(UserLoginLogPageParam param) {
        if (param.getPageNum() != null && param.getPageSize() != null) {
            PageHelper.startPage(param.getPageNum(), param.getPageSize());
        }
        List<UserLoginLog> pageList = userLoginLogService.getPageList(param);
        return new PageInfo<>(pageList);
    }

    @RequestMapping(value = "/export", method = RequestMethod.GET)
    @ApiOperation(value = "导出用户登录日志信息", notes = "导出所有")
    public void export(String fileName, UserLoginLogPageParam param, HttpServletRequest request, HttpServletResponse response) {
        userLoginLogService.export(fileName, param, request, response);
    }
}
