package com.chinaitop.depot.system.controller;

import com.chinaitop.depot.system.model.UserOperationPageLog;
import com.chinaitop.depot.system.param.UserOperationPageLogParam;
import com.chinaitop.depot.system.service.UserOperationPageLogService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-11-04 10:58
 */
@RestController
@RequestMapping(value = "/userOperationPageLog")
@Api(description = "用户操作浏览日志信息")
public class UserOperationPageLogController {
    @Resource
    private UserOperationPageLogService pageLogService;

    @RequestMapping(value = "/getPageList", method = RequestMethod.GET)
    @ApiOperation(value = "查询用户登录日志信息", notes = "支持分页")
    public PageInfo<UserOperationPageLog> getPageList(UserOperationPageLogParam param) {
        if (param.getPageNum() != null && param.getPageSize() != null) {
            PageHelper.startPage(param.getPageNum(), param.getPageSize());
        }
        List<UserOperationPageLog> pageList = pageLogService.getPageList(param);
        return new PageInfo<>(pageList);
    }

    @RequestMapping(value = "/export", method = RequestMethod.GET)
    @ApiOperation(value = "导出用户登录日志信息", notes = "导出所有")
    public void export(String fileName, UserOperationPageLogParam param, HttpServletRequest request, HttpServletResponse response) {
        pageLogService.export(fileName, param, request, response);
    }

}
